CEL: Crystal Entity Layer: iCelRegion Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelRegion Struct Reference

A region. More...

`#include <propclass/zone.h>`

List of all members.

## Public Member Functions
virtual void | AssociateEntity (iCelEntity *entity)=0
| Register an entity that should be removed as soon as this region is unloaded.
virtual iCelMapFile * | CreateMapFile ()=0
| Create a map file for this region and associate it with this region.
virtual void | DissociateEntity (iCelEntity *entity)=0
| Unregister an entity from this region.
virtual const char * | GetCachePath () const =0
| Get the VFS path for the cache manager.
virtual iCelMapFile * | GetMapFile (int idx) const =0
| Get the specified map file.
virtual size_t | GetMapFileCount () const =0
| Get the count of map files in this region.
virtual const char * | GetName () const =0
| Get the name of this region.
virtual void | RemoveAllMapFiles ()=0
| Remove all map files from this region.
virtual bool | RemoveMapFile (iCelMapFile *mapfile)=0
| Delete the given map file from this region.
virtual void | SetCachePath (const char *path)=0
| Set the VFS path that will be used during the call to engine->Prepare() after loading this region.

## Detailed Description

A region.

A region is a collection of map files which will be loaded in one CS region (iRegion).

Definition at line 88 of file zone.h.

## Member Function Documentation

virtual void iCelRegion::AssociateEntity | ( | iCelEntity * | entity | ) | `[pure virtual]`

Register an entity that should be removed as soon as this region is unloaded.

virtual iCelMapFile* iCelRegion::CreateMapFile | ( |  | ) | `[pure virtual]`

Create a map file for this region and associate it with this region.

virtual void iCelRegion::DissociateEntity | ( | iCelEntity * | entity | ) | `[pure virtual]`

Unregister an entity from this region.

virtual const char* iCelRegion::GetCachePath | ( |  | ) | const`[pure virtual]`

Get the VFS path for the cache manager.

Returns 0 if path is not used.

virtual iCelMapFile* iCelRegion::GetMapFile | ( | int | idx | ) | const`[pure virtual]`

Get the specified map file.

virtual size_t iCelRegion::GetMapFileCount | ( |  | ) | const`[pure virtual]`

Get the count of map files in this region.

virtual const char* iCelRegion::GetName | ( |  | ) | const`[pure virtual]`

Get the name of this region.

virtual void iCelRegion::RemoveAllMapFiles | ( |  | ) | `[pure virtual]`

Remove all map files from this region.

virtual bool iCelRegion::RemoveMapFile | ( | iCelMapFile * | mapfile | ) | `[pure virtual]`

Delete the given map file from this region.

Returns false if the map file could not be found in this region.

virtual void iCelRegion::SetCachePath | ( | const char * | path | ) | `[pure virtual]`

Set the VFS path that will be used during the call to engine->Prepare() after loading this region.

By default this is not set which means that the lightmaps are supposed to come from every individual map file. If you set this path then you say that the cache manager is setup at this directory instead.

The documentation for this struct was generated from the following file:

- propclass/zone.h